# std::span<T,Extent>::end, std::span<T,Extent>::cend

From cppreference.com
< cpp‎ | container‎ | span

constexpr iterator end() const noexcept; |  |
constexpr const_iterator cend() const noexcept; |  |

Returns an iterator to the element following the last element of the span.

This element acts as a placeholder; attempting to access it results in undefined behavior.

### Parameters

(none)

### Return value

Iterator to the element following the last element.

### Complexity

Constant.

### See also

begin cbegin | returns an iterator to the beginning (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/span/end&oldid=104935"